Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXt runtime library
Name: 		libXt
Version: 	1.0.9
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

Patch1:		libXt-cflags.patch

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires:  xorg-x11-util-macros

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel

%description
X.Org X11 libXt runtime library

%package devel
Summary: 	X.Org X11 libXt development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# needed by xt.pc
Requires: 	xorg-x11-proto-devel
Requires: 	libX11-devel
Requires: 	libSM-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXt development package

%prep
%setup -q -n %{name}-%{version}

%patch1 -p1 -b .cflags
# Disable static library creation by default.
%define with_static 0

%build
# FIXME: Work around pointer aliasing warnings from compiler for now
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
%if ! %{with_static}
	--disable-static \
%endif
	--with-xfile-search-path="%{_sysconfdir}/X11/%%L/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%l/%%T/\%%N%%C%%S:%{_sysconfdir}/X11/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%L/%%T/%%N%%S:%{_sysconfdir}/X\11/%%l/%%T/%%N%%S:%{_sysconfdir}/X11/%%T/%%N%%S:%{_datadir}/X11/%%L/%%T/%%N%%C%%S:%{_datadir}/X1\1/%%l/%%T/%%N%%C%%S:%{_datadir}/X11/%%T/%%N%%C%%S:%{_datadir}/X11/%%L/%%T/%%N%%S:%{_datadir}/X11/%%\l/%%T/%%N%%S:%{_datadir}/X11/%%T/%%N%%S"

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libXt.so.6
%{_libdir}/libXt.so.6.*

%files devel
%defattr(-,root,root,-)
#%{_bindir}/makestrs
# Listed explicitly instead of with glob, in order for rpm to autodetect
# when any additions or removals happen.  ie: New Xprint support that we
# do not want.
%{_includedir}/X11/CallbackI.h
%{_includedir}/X11/Composite.h
%{_includedir}/X11/CompositeP.h
%{_includedir}/X11/ConstrainP.h
%{_includedir}/X11/Constraint.h
%{_includedir}/X11/ConvertI.h
%{_includedir}/X11/Core.h
%{_includedir}/X11/CoreP.h
%{_includedir}/X11/CreateI.h
%{_includedir}/X11/EventI.h
%{_includedir}/X11/HookObjI.h
%{_includedir}/X11/InitialI.h
%{_includedir}/X11/Intrinsic.h
%{_includedir}/X11/IntrinsicI.h
%{_includedir}/X11/IntrinsicP.h
%{_includedir}/X11/Object.h
%{_includedir}/X11/ObjectP.h
%{_includedir}/X11/PassivGraI.h
%{_includedir}/X11/RectObj.h
%{_includedir}/X11/RectObjP.h
%{_includedir}/X11/ResConfigP.h
%{_includedir}/X11/ResourceI.h
%{_includedir}/X11/SelectionI.h
%{_includedir}/X11/Shell.h
%{_includedir}/X11/ShellI.h
%{_includedir}/X11/ShellP.h
%{_includedir}/X11/StringDefs.h
%{_includedir}/X11/ThreadsI.h
%{_includedir}/X11/TranslateI.h
%{_includedir}/X11/VarargsI.h
%{_includedir}/X11/Vendor.h
%{_includedir}/X11/VendorP.h
%{_includedir}/X11/Xtos.h
%if %{with_static}
%{_libdir}/libXt.a
%endif
%{_libdir}/libXt.so
%{_libdir}/pkgconfig/xt.pc
#%{_mandir}/man1/makestrs.1.gz                      
%{_mandir}/man3/MenuPopdown.3.gz                   
%{_mandir}/man3/MenuPopup.3.gz                     
%{_mandir}/man3/XtAddActions.3.gz                  
%{_mandir}/man3/XtAddCallback.3.gz                 
%{_mandir}/man3/XtAddCallbacks.3.gz                
%{_mandir}/man3/XtAddConverter.3.gz                
%{_mandir}/man3/XtAddEventHandler.3.gz             
%{_mandir}/man3/XtAddExposureToRegion.3.gz         
%{_mandir}/man3/XtAddGrab.3.gz                     
%{_mandir}/man3/XtAddInput.3.gz                    
%{_mandir}/man3/XtAddRawEventHandler.3.gz          
%{_mandir}/man3/XtAddTimeOut.3.gz                  
%{_mandir}/man3/XtAddWorkProc.3.gz                 
%{_mandir}/man3/XtAllocateGC.3.gz                  
%{_mandir}/man3/XtAppAddActionHook.3.gz            
%{_mandir}/man3/XtAppAddActions.3.gz               
%{_mandir}/man3/XtAppAddBlockHook.3.gz             
%{_mandir}/man3/XtAppAddConverter.3.gz             
%{_mandir}/man3/XtAppAddInput.3.gz                 
%{_mandir}/man3/XtAppAddSignal.3.gz                
%{_mandir}/man3/XtAppAddTimeOut.3.gz               
%{_mandir}/man3/XtAppAddWorkProc.3.gz              
%{_mandir}/man3/XtAppCreateShell.3.gz              
%{_mandir}/man3/XtAppError.3.gz                    
%{_mandir}/man3/XtAppErrorMsg.3.gz                 
%{_mandir}/man3/XtAppGetErrorDatabase.3.gz         
%{_mandir}/man3/XtAppGetErrorDatabaseText.3.gz     
%{_mandir}/man3/XtAppGetExitFlag.3.gz              
%{_mandir}/man3/XtAppGetSelectionTimeout.3.gz      
%{_mandir}/man3/XtAppInitialize.3.gz               
%{_mandir}/man3/XtAppLock.3.gz                     
%{_mandir}/man3/XtAppMainLoop.3.gz                 
%{_mandir}/man3/XtAppNextEvent.3.gz                
%{_mandir}/man3/XtAppPeekEvent.3.gz                
%{_mandir}/man3/XtAppPending.3.gz                  
%{_mandir}/man3/XtAppProcessEvent.3.gz             
%{_mandir}/man3/XtAppReleaseCacheRefs.3.gz         
%{_mandir}/man3/XtAppSetErrorHandler.3.gz          
%{_mandir}/man3/XtAppSetErrorMsgHandler.3.gz       
%{_mandir}/man3/XtAppSetExitFlag.3.gz              
%{_mandir}/man3/XtAppSetFallbackResources.3.gz     
%{_mandir}/man3/XtAppSetSelectionTimeout.3.gz      
%{_mandir}/man3/XtAppSetTypeConverter.3.gz         
%{_mandir}/man3/XtAppSetWarningHandler.3.gz        
%{_mandir}/man3/XtAppSetWarningMsgHandler.3.gz     
%{_mandir}/man3/XtAppUnlock.3.gz                   
%{_mandir}/man3/XtAppWarning.3.gz                  
%{_mandir}/man3/XtAppWarningMsg.3.gz               
%{_mandir}/man3/XtAugmentTranslations.3.gz         
%{_mandir}/man3/XtBuildEventMask.3.gz              
%{_mandir}/man3/XtCallAcceptFocus.3.gz             
%{_mandir}/man3/XtCallActionProc.3.gz              
%{_mandir}/man3/XtCallCallbackList.3.gz            
%{_mandir}/man3/XtCallCallbacks.3.gz               
%{_mandir}/man3/XtCallConverter.3.gz               
%{_mandir}/man3/XtCallbackExclusive.3.gz           
%{_mandir}/man3/XtCallbackNone.3.gz                
%{_mandir}/man3/XtCallbackNonexclusive.3.gz        
%{_mandir}/man3/XtCallbackPopdown.3.gz             
%{_mandir}/man3/XtCalloc.3.gz                      
%{_mandir}/man3/XtCancelSelectionRequest.3.gz      
%{_mandir}/man3/XtChangeManagedSet.3.gz            
%{_mandir}/man3/XtCheckSubclass.3.gz               
%{_mandir}/man3/XtClass.3.gz                       
%{_mandir}/man3/XtCloseDisplay.3.gz                
%{_mandir}/man3/XtConfigureWidget.3.gz             
%{_mandir}/man3/XtConvert.3.gz                     
%{_mandir}/man3/XtConvertAndStore.3.gz             
%{_mandir}/man3/XtConvertCase.3.gz                 
%{_mandir}/man3/XtCreateApplicationContext.3.gz    
%{_mandir}/man3/XtCreateApplicationShell.3.gz      
%{_mandir}/man3/XtCreateManagedWidget.3.gz         
%{_mandir}/man3/XtCreatePopupShell.3.gz            
%{_mandir}/man3/XtCreateSelectionRequest.3.gz      
%{_mandir}/man3/XtCreateWidget.3.gz                
%{_mandir}/man3/XtCreateWindow.3.gz                
%{_mandir}/man3/XtDatabase.3.gz                    
%{_mandir}/man3/XtDestroyApplicationContext.3.gz   
%{_mandir}/man3/XtDestroyWidget.3.gz               
%{_mandir}/man3/XtDirectConvert.3.gz               
%{_mandir}/man3/XtDisownSelection.3.gz             
%{_mandir}/man3/XtDispatchEvent.3.gz               
%{_mandir}/man3/XtDispatchEventToWidget.3.gz       
%{_mandir}/man3/XtDisplay.3.gz                     
%{_mandir}/man3/XtDisplayInitialize.3.gz           
%{_mandir}/man3/XtDisplayOfObject.3.gz             
%{_mandir}/man3/XtDisplayStringConversionWarning.3.gz
%{_mandir}/man3/XtDisplayToApplicationContext.3.gz   
%{_mandir}/man3/XtError.3.gz                         
%{_mandir}/man3/XtErrorMsg.3.gz                      
%{_mandir}/man3/XtFindFile.3.gz                      
%{_mandir}/man3/XtFree.3.gz                          
%{_mandir}/man3/XtGetActionKeysym.3.gz               
%{_mandir}/man3/XtGetActionList.3.gz                 
%{_mandir}/man3/XtGetApplicationNameAndClass.3.gz    
%{_mandir}/man3/XtGetApplicationResources.3.gz       
%{_mandir}/man3/XtGetClassExtension.3.gz             
%{_mandir}/man3/XtGetConstraintResourceList.3.gz     
%{_mandir}/man3/XtGetDisplays.3.gz                   
%{_mandir}/man3/XtGetErrorDatabase.3.gz              
%{_mandir}/man3/XtGetErrorDatabaseText.3.gz          
%{_mandir}/man3/XtGetGC.3.gz                         
%{_mandir}/man3/XtGetKeyboardFocusWidget.3.gz        
%{_mandir}/man3/XtGetKeysymTable.3.gz                
%{_mandir}/man3/XtGetMultiClickTime.3.gz             
%{_mandir}/man3/XtGetResourceList.3.gz               
%{_mandir}/man3/XtGetSelectionParameters.3.gz        
%{_mandir}/man3/XtGetSelectionRequest.3.gz           
%{_mandir}/man3/XtGetSelectionTimeout.3.gz           
%{_mandir}/man3/XtGetSelectionValue.3.gz             
%{_mandir}/man3/XtGetSelectionValueIncremental.3.gz  
%{_mandir}/man3/XtGetSelectionValues.3.gz            
%{_mandir}/man3/XtGetSelectionValuesIncremental.3.gz 
%{_mandir}/man3/XtGetSubresources.3.gz               
%{_mandir}/man3/XtGetSubvalues.3.gz                  
%{_mandir}/man3/XtGetValues.3.gz                     
%{_mandir}/man3/XtGrabButton.3.gz                    
%{_mandir}/man3/XtGrabKey.3.gz                       
%{_mandir}/man3/XtGrabKeyboard.3.gz                  
%{_mandir}/man3/XtGrabPointer.3.gz                   
%{_mandir}/man3/XtHasCallbacks.3.gz                  
%{_mandir}/man3/XtHooksOfDisplay.3.gz                
%{_mandir}/man3/XtInitialize.3.gz                    
%{_mandir}/man3/XtInitializeWidgetClass.3.gz         
%{_mandir}/man3/XtInsertEventHandler.3.gz            
%{_mandir}/man3/XtInsertEventTypeHandler.3.gz        
%{_mandir}/man3/XtInsertRawEventHandler.3.gz         
%{_mandir}/man3/XtInstallAccelerators.3.gz           
%{_mandir}/man3/XtInstallAllAccelerators.3.gz        
%{_mandir}/man3/XtIsApplicationShell.3.gz            
%{_mandir}/man3/XtIsComposite.3.gz                   
%{_mandir}/man3/XtIsConstraint.3.gz                  
%{_mandir}/man3/XtIsManaged.3.gz                     
%{_mandir}/man3/XtIsObject.3.gz                      
%{_mandir}/man3/XtIsOverrideShell.3.gz               
%{_mandir}/man3/XtIsRealized.3.gz                    
%{_mandir}/man3/XtIsRectObj.3.gz                     
%{_mandir}/man3/XtIsSensitive.3.gz                   
%{_mandir}/man3/XtIsSessionShell.3.gz                
%{_mandir}/man3/XtIsShell.3.gz                       
%{_mandir}/man3/XtIsSubclass.3.gz                    
%{_mandir}/man3/XtIsTopLevelShell.3.gz               
%{_mandir}/man3/XtIsTransientShell.3.gz              
%{_mandir}/man3/XtIsVendorShell.3.gz                 
%{_mandir}/man3/XtIsWMShell.3.gz                     
%{_mandir}/man3/XtIsWidget.3.gz                      
%{_mandir}/man3/XtKeysymToKeycodeList.3.gz           
%{_mandir}/man3/XtLastEventProcessed.3.gz            
%{_mandir}/man3/XtLastTimestampProcessed.3.gz        
%{_mandir}/man3/XtMainLoop.3.gz                      
%{_mandir}/man3/XtMakeGeometryRequest.3.gz           
%{_mandir}/man3/XtMakeResizeRequest.3.gz             
%{_mandir}/man3/XtMalloc.3.gz                        
%{_mandir}/man3/XtManageChild.3.gz                   
%{_mandir}/man3/XtManageChildren.3.gz                
%{_mandir}/man3/XtMapWidget.3.gz                     
%{_mandir}/man3/XtMergeArgLists.3.gz                 
%{_mandir}/man3/XtMoveWidget.3.gz                    
%{_mandir}/man3/XtName.3.gz                          
%{_mandir}/man3/XtNameToWidget.3.gz                  
%{_mandir}/man3/XtNew.3.gz                           
%{_mandir}/man3/XtNewString.3.gz                     
%{_mandir}/man3/XtNextEvent.3.gz                     
%{_mandir}/man3/XtNoticeSignal.3.gz                  
%{_mandir}/man3/XtNumber.3.gz                        
%{_mandir}/man3/XtOffset.3.gz                        
%{_mandir}/man3/XtOffsetOf.3.gz                      
%{_mandir}/man3/XtOpenApplication.3.gz               
%{_mandir}/man3/XtOpenDisplay.3.gz                   
%{_mandir}/man3/XtOverrideTranslations.3.gz          
%{_mandir}/man3/XtOwnSelection.3.gz                  
%{_mandir}/man3/XtOwnSelectionIncremental.3.gz       
%{_mandir}/man3/XtParent.3.gz                        
%{_mandir}/man3/XtParseAcceleratorTable.3.gz         
%{_mandir}/man3/XtParseTranslationTable.3.gz         
%{_mandir}/man3/XtPeekEvent.3.gz                     
%{_mandir}/man3/XtPending.3.gz                       
%{_mandir}/man3/XtPopdown.3.gz                       
%{_mandir}/man3/XtPopup.3.gz                         
%{_mandir}/man3/XtPopupSpringLoaded.3.gz             
%{_mandir}/man3/XtProcessEvent.3.gz                  
%{_mandir}/man3/XtProcessLock.3.gz                   
%{_mandir}/man3/XtProcessUnlock.3.gz                 
%{_mandir}/man3/XtQueryGeometry.3.gz                 
%{_mandir}/man3/XtRealizeWidget.3.gz                 
%{_mandir}/man3/XtRealloc.3.gz                       
%{_mandir}/man3/XtRegisterCaseConverter.3.gz         
%{_mandir}/man3/XtRegisterDrawable.3.gz              
%{_mandir}/man3/XtRegisterExtensionSelector.3.gz     
%{_mandir}/man3/XtRegisterGrabAction.3.gz            
%{_mandir}/man3/XtReleaseGC.3.gz                     
%{_mandir}/man3/XtReleasePropertyAtom.3.gz           
%{_mandir}/man3/XtRemoveActionHook.3.gz              
%{_mandir}/man3/XtRemoveAllCallbacks.3.gz            
%{_mandir}/man3/XtRemoveBlockHook.3.gz               
%{_mandir}/man3/XtRemoveCallback.3.gz                
%{_mandir}/man3/XtRemoveCallbacks.3.gz               
%{_mandir}/man3/XtRemoveEventHandler.3.gz            
%{_mandir}/man3/XtRemoveEventTypeHandler.3.gz        
%{_mandir}/man3/XtRemoveGrab.3.gz                    
%{_mandir}/man3/XtRemoveInput.3.gz
%{_mandir}/man3/XtRemoveRawEventHandler.3.gz
%{_mandir}/man3/XtRemoveSignal.3.gz
%{_mandir}/man3/XtRemoveTimeOut.3.gz
%{_mandir}/man3/XtRemoveWorkProc.3.gz
%{_mandir}/man3/XtReservePropertyAtom.3.gz
%{_mandir}/man3/XtResizeWidget.3.gz
%{_mandir}/man3/XtResolvePathname.3.gz
%{_mandir}/man3/XtScreen.3.gz
%{_mandir}/man3/XtScreenDatabase.3.gz
%{_mandir}/man3/XtScreenOfObject.3.gz
%{_mandir}/man3/XtSendSelectionRequest.3.gz
%{_mandir}/man3/XtSessionGetToken.3.gz
%{_mandir}/man3/XtSessionReturnToken.3.gz
%{_mandir}/man3/XtSetArg.3.gz
%{_mandir}/man3/XtSetErrorHandler.3.gz
%{_mandir}/man3/XtSetErrorMsgHandler.3.gz
%{_mandir}/man3/XtSetEventDispatcher.3.gz
%{_mandir}/man3/XtSetKeyTranslator.3.gz
%{_mandir}/man3/XtSetKeyboardFocus.3.gz
%{_mandir}/man3/XtSetLanguageProc.3.gz
%{_mandir}/man3/XtSetMappedWhenManaged.3.gz
%{_mandir}/man3/XtSetMultiClickTime.3.gz
%{_mandir}/man3/XtSetSelectionParameters.3.gz
%{_mandir}/man3/XtSetSelectionTimeout.3.gz
%{_mandir}/man3/XtSetSensitive.3.gz
%{_mandir}/man3/XtSetSubvalues.3.gz
%{_mandir}/man3/XtSetTypeConverter.3.gz
%{_mandir}/man3/XtSetValues.3.gz
%{_mandir}/man3/XtSetWMColormapWindows.3.gz
%{_mandir}/man3/XtSetWarningHandler.3.gz
%{_mandir}/man3/XtSetWarningMsgHandler.3.gz
%{_mandir}/man3/XtStringConversionWarning.3.gz
%{_mandir}/man3/XtSuperclass.3.gz
%{_mandir}/man3/XtToolkitInitialize.3.gz
%{_mandir}/man3/XtToolkitThreadInitialize.3.gz
%{_mandir}/man3/XtTranslateCoords.3.gz
%{_mandir}/man3/XtTranslateKeycode.3.gz
%{_mandir}/man3/XtUngrabButton.3.gz
%{_mandir}/man3/XtUngrabKey.3.gz
%{_mandir}/man3/XtUngrabKeyboard.3.gz
%{_mandir}/man3/XtUngrabPointer.3.gz
%{_mandir}/man3/XtUninstallTranslations.3.gz
%{_mandir}/man3/XtUnmanageChild.3.gz
%{_mandir}/man3/XtUnmanageChildren.3.gz
%{_mandir}/man3/XtUnmapWidget.3.gz
%{_mandir}/man3/XtUnrealizeWidget.3.gz
%{_mandir}/man3/XtUnregisterDrawable.3.gz
%{_mandir}/man3/XtVaAppCreateShell.3.gz
%{_mandir}/man3/XtVaAppInitialize.3.gz
%{_mandir}/man3/XtVaCreateArgsList.3.gz
%{_mandir}/man3/XtVaCreateManagedWidget.3.gz
%{_mandir}/man3/XtVaCreatePopupShell.3.gz
%{_mandir}/man3/XtVaCreateWidget.3.gz
%{_mandir}/man3/XtVaGetApplicationResources.3.gz
%{_mandir}/man3/XtVaGetSubresources.3.gz
%{_mandir}/man3/XtVaGetSubvalues.3.gz
%{_mandir}/man3/XtVaGetValues.3.gz
%{_mandir}/man3/XtVaOpenApplication.3.gz
%{_mandir}/man3/XtVaSetSubvalues.3.gz
%{_mandir}/man3/XtVaSetValues.3.gz
%{_mandir}/man3/XtWarning.3.gz
%{_mandir}/man3/XtWarningMsg.3.gz
%{_mandir}/man3/XtWidgetToApplicationContext.3.gz
%{_mandir}/man3/XtWindow.3.gz
%{_mandir}/man3/XtWindowOfObject.3.gz
%{_mandir}/man3/XtWindowToWidget.3.gz


%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.7-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-4
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-3
- rebuild, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.5-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
